This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 485926 - kms: intel: External monitor not detected/used. Only laptop screen activated
kms: intel: External monitor not detected/used. Only laptop screen activated
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 09:49 EST by Tom London
Modified: 2010-06-28 07:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages booting with 0.124 and no external screen (114.31 KB, text/plain)
2009-02-17 09:49 EST, Tom London
no flags Details
/var/log/Xorg.0.log when booting kernel-2.6.29-0.124.rc5.fc11.x86_64: no external monitor (31.39 KB, text/plain)
2009-02-17 09:51 EST, Tom London
no flags Details
/var/log/messages booting 0.124 where KMS works! (203.07 KB, text/plain)
2009-02-17 12:07 EST, Tom London
no flags Details
photo of screen in "1280x800" grub mode ... ? (116.73 KB, image/jpeg)
2009-02-18 14:25 EST, Tom London
no flags Details
Ouput of dmesg after running various rmmods and modprobes (60.14 KB, text/plain)
2009-02-26 21:35 EST, Tom London
no flags Details

  None (edit)
Description Tom London 2009-02-17 09:49:22 EST
Created attachment 332221 [details]
/var/log/messages booting with 0.124 and no external screen

Description of problem:
Booting kernel-2.6.29-0.124.rc5.fc11.x86_64 show some issues detecting external monitor.

Firstly, the grub/plymouth screen is 'vertically challenged': it appears that it is displaying a 1280x800 image on a 1280x1024 screen.  There are a few inches of "black" on the bottom screen.

Second, after the boot completes, the external monitor 'turns off'.

I originally thought the system was dead, but in fact, it had booted to gdm using the (closed) laptop screen, not the external monitor.

Opening the lid of the laptop showed a correct 1280x800 rendered image.  I can log in, etc.   I did not try anything other than quickly rebooting to 0.119 (where the external monitor works).

I am attaching the /var/log/messages output for this boot.

I also attach the /var/log/Xorg.0.log for this boot.

Version-Release number of selected component (if applicable):
kernel-2.6.29-0.124.rc5.fc11.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2009-02-17 09:51:13 EST
Created attachment 332222 [details]
/var/log/Xorg.0.log when booting kernel-2.6.29-0.124.rc5.fc11.x86_64: no external monitor

/var/log/messages from "no external monitor" boot.

Any way to configure/tweak this from the boot line?
Comment 2 Tom London 2009-02-17 10:02:15 EST
Forgot to mention: system is Thinkpad X200 w/ Intel graphics:


00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:03.0 Communication controller: Intel Corporation Mobile 4 Series Chipset MEI Controller (rev 07)
00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
03:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection
Comment 3 Tom London 2009-02-17 12:07:31 EST
Created attachment 332253 [details]
/var/log/messages booting 0.124 where KMS works!

At my @work setup, with a different monitor (the rest of the config is (mostly) the same), 0.124 boots up and detects the external monitor!

I attach /var/log/messages from this boot for comparison.

Guessing the new code is sensitive to my (very) old LCD monitor @home.
Comment 4 Tom London 2009-02-18 14:25:10 EST
Created attachment 332438 [details]
photo of screen in "1280x800" grub mode ... ?

Picture of grub boot (Luks prompt) screen.

I believe my Thinkpad X200 builtin screen is 1280x800.....

I booted 0.124 without any 'vga=....'
Comment 5 Tom London 2009-02-19 10:59:14 EST
Here is what xorg says about this monitor:

(II) intel(0): EDID for output VGA
(II) intel(0): Manufacturer: MEL  Model: 4341  Serial#: 525
(II) intel(0): Year: 1999  Week: 31
(II) intel(0): EDID Version: 1.1
(II) intel(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) intel(0): Sync:  Separate  Composite  SyncOnGreenSerration on. V.Sync Pulse req. if CompSync or SyncOnGreen
(II) intel(0): Max Image Size [cm]: horiz.: 36  vert.: 29
(II) intel(0): Gamma: 2.05
(II) intel(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) intel(0): redX: 0.620 redY: 0.330   greenX: 0.300 greenY: 0.600
(II) intel(0): blueX: 0.140 blueY: 0.090   whiteX: 0.304 whiteY: 0.314
(II) intel(0): Supported VESA Video Modes:
(II) intel(0): 640x480@60Hz
(II) intel(0): 640x480@67Hz
(II) intel(0): 640x480@72Hz
(II) intel(0): 640x480@75Hz
(II) intel(0): 800x600@56Hz
(II) intel(0): 800x600@60Hz
(II) intel(0): 800x600@72Hz
(II) intel(0): 800x600@75Hz
(II) intel(0): 832x624@75Hz
(II) intel(0): 1024x768@60Hz
(II) intel(0): 1024x768@70Hz
(II) intel(0): 1024x768@75Hz
(II) intel(0): 1280x1024@75Hz
(II) intel(0): 1152x870@75Hz
(II) intel(0): Manufacturer's mask: 0
Comment 6 Kyle McMartin 2009-02-26 17:11:54 EST
Still seeing this with -rc6-git2 (or higher) in rawhide?
Comment 7 Kristian Høgsberg 2009-02-26 17:18:22 EST
This sounds like it could be the problem with the edid parsing that got fixed recently.  If a recent kernel doesn't fix it, could you boot into runlevel 3 with nomodeset on the grub command line and then login as root and do:

  $ rmmod i915
  $ rmmod drm
  $ modprobe drm debug=1
  $ modprobe i915 modeset=1

and then attach the output of dmesg here in the bug?

thanks,
Kristian
Comment 8 Tom London 2009-02-26 21:35:34 EST
Created attachment 333423 [details]
Ouput of dmesg after running various rmmods and modprobes

Nope.  Still doesn't work..... :-(

I downloaded the latest kernel I could find on koji: kernel-2.6.29-0.159.rc6.git3.fc11.x86_64, and booted.  Only Thinkpad screen active after plymouth exits.

I rebooted with 'nomodeset 3' and ran the commands as requested above.  Dmesg captured here.

When running the commands, the screen blacked and then resized.  I did try "telinit 5", but the monitor went black, and I had to open up the laptop to shut it down.
Comment 9 Tom London 2009-02-26 21:43:46 EST
BTW, I think this is the EDID information from /var/log/Xorg.0.log:

(II) intel(0): Monitor name: LSA820W
(II) intel(0): Serial No: 908100525
(II) intel(0): EDID (in hex):
(II) intel(0):  00ffffffffffff0034ac41430d020000
(II) intel(0):  1f0901010f241d69e8eece9e544c9923
(II) intel(0):  174d503fef8081800101010101010101
(II) intel(0):  010101010101bc34009851002a401090
(II) intel(0):  1300671f1100001e000000fd001e551f
(II) intel(0):  500e000a202020202020000000fc004c
(II) intel(0):  5341383230570a2020202020000000ff
(II) intel(0):  003930383130303532350a2020200091
(II) intel(0): EDID vendor "MEL", prod id 17217
(II) intel(0): Using EDID range info for horizontal sync
(II) intel(0): Using EDID range info for vertical refresh
Comment 10 Tom London 2009-02-26 21:45:14 EST
And this too:

(II) intel(0): I2C bus "CRTDDC_A" initialized.
(II) intel(0): I2C device "CRTDDC_A:E-EDID segment register" registered at address 0x60.
(II) intel(0): I2C device "CRTDDC_A:ddc2" registered at address 0xA0.
(II) intel(0): I2C device "CRTDDC_A:ddc2" removed.
(II) intel(0): I2C device "CRTDDC_A:E-EDID segment register" removed.
(II) intel(0): I2C bus "CRTDDC_A" removed.
(II) intel(0): EDID for output VGA
(II) intel(0): Manufacturer: MEL  Model: 4341  Serial#: 525
(II) intel(0): Year: 1999  Week: 31
(II) intel(0): EDID Version: 1.1
(II) intel(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V

Not sure its helpful, but just for completeness.....
Comment 11 Bug Zapper 2009-06-09 07:27:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-04-27 09:00:00 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 07:18:20 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.